BoxFilter Struct Reference

`#include <Resample.h>`

Inheritance diagram for BoxFilter:

## Public Types

typedef boost::shared_ptr< const BoxFilter > | CPtr
typedef boost::shared_ptr< BoxFilter > | Ptr
Public Types inherited from Filter
typedef boost::shared_ptr< const Filter > | CPtr
typedef boost::shared_ptr< Filter > | Ptr

## Public Member Functions

| BoxFilter ()
| BoxFilter (const float width)
virtual float | eval (const float x) const
| Evaluates the filter at coordinate 't'.
virtual float | support () const
| Radial width of the filter (half of diameter).
Public Member Functions inherited from Filter
virtual float | initialValue () const
| Initial value (zero by default, but need to be different for min/max).

## Static Public Member Functions

template<typename Value_T>
static void | op (Value_T &accumValue, const Value_T value)

## Static Public Attributes

static const bool | isAnalytic = false

## Private Attributes

const float | m_width

## Detailed Description

Definition at line 113 of file Resample.h.

## Member Typedef Documentation

## Ptr

typedef boost::shared_ptr<BoxFilter> BoxFilter::Ptr

Definition at line 116 of file Resample.h.

## CPtr

typedef boost::shared_ptr<const BoxFilter> BoxFilter::CPtr

Definition at line 117 of file Resample.h.

## Constructor & Destructor Documentation

## BoxFilter() [1/2]

BoxFilter::BoxFilter | ( |  | ) |

inline

Definition at line 122 of file Resample.h.

: m_width(1.0)
{ }
BoxFilter::m_width
const float m_width
Definition Resample.h:146

References m_width.

## BoxFilter() [2/2]

BoxFilter::BoxFilter | ( | const float | width | ) |

inline

Definition at line 125 of file Resample.h.

: m_width(width)
{ }

References m_width.

## Member Function Documentation

## eval()

virtual float BoxFilter::eval | ( | const float | t | ) | const

inline virtual

Evaluates the filter at coordinate 't'.

Implements Filter.

Definition at line 129 of file Resample.h.

{
const float t = x / m_width;
if (t <= 0.5f) {
return 1.0f;
} else {
return 0.0f;
}
}

References m_width.

## support()

virtual float BoxFilter::support | ( |  | ) | const

inline virtual

Radial width of the filter (half of diameter).

Implements Filter.

Definition at line 138 of file Resample.h.

{
return 0.5f * m_width;
}

References m_width.

## op()

template<typename Value_T>

void BoxFilter::op | ( | Value_T & | accumValue,
|  | const Value_T | value )

inline static

Definition at line 143 of file Resample.h.

{ /* no-op */ }

## Member Data Documentation

## isAnalytic

const bool BoxFilter::isAnalytic = false

static

Definition at line 119 of file Resample.h.

## m_width

const float BoxFilter::m_width

private

Definition at line 146 of file Resample.h.

Referenced by BoxFilter(), BoxFilter(), eval(), and support().

The documentation for this struct was generated from the following file:

- export/Resample.h